This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1296034 - DNF storing 0 bytes in it's lockfile-pid.
DNF storing 0 bytes in it's lockfile-pid.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
x86_64 Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 03:53 EST by George R. Goffe
Modified: 2016-07-22 13:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 13:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2016-01-06 03:53:54 EST
Description of problem:

DNF complains about malformed lock file. System is a modified spin of the Cinnamon Live "spin(?)" found at "https://fedoraproject.org/wiki/Test_Results:Fedora_24_Rawhide_20151219_Desktop?rd=Test_Results:Current_Desktop_Test"

Version-Release number of selected component (if applicable):

dnf-1.1.5-1.fc24.noarch
How reproducible:

always.

Steps to Reproduce:
1.run several dnf upgrades
2.
3.

Actual results:

After removing lockfile_pid, run dnf several times. First one succeeds, second and subsequent fail with "malformed" message.

Expected results:


Additional info:

Running this script:

#!/bin/bash -xv                                                                                                                                              
                                                                                                                                                             
# Available environment group:                                                                                                                               
                                                                                                                                                             
 dnf -y group install with-optional 'Minimal Install'                                                                                                        
 dnf -y group install with-optional 'Fedora Server'                                                                                                          
 dnf -y group install with-optional 'Fedora Cloud Server'                                                                                                    
 dnf -y group install with-optional 'KDE Plasma Workspaces'                                                                                                  
 dnf -y group install with-optional 'Xfce Desktop'                                                                                                           
 dnf -y group install with-optional 'LXDE Desktop'                                                                                                           
 dnf -y group install with-optional 'LXQt Desktop'                                                                                                           
 dnf -y group install with-optional 'Cinnamon Desktop'                                                                                                       
 dnf -y group install with-optional 'MATE Desktop'                                                                                                           
 dnf -y group install with-optional 'Sugar Desktop Environment'                                                                                              
 dnf -y group install with-optional 'Web Server'                                                                                                             
 dnf -y group install with-optional 'Infrastructure Server'                                                                                                  
 dnf -y group install with-optional 'Basic Desktop'                                                                                                          
                                                                                                                                                             
# Installed environment group:                                                                                                                               
                                                                                                                                                             
 dnf -y group install with-optional 'Fedora Workstation'                                                                                                     
 dnf -y group install with-optional 'Development and Creative Workstation'                                                                                   
                                                                                                                                                             
# Installed group:                                                                                                                                           
                                                                                                                                                             
 dnf -y group install with-optional 'C Development Tools and Libraries'                                                                                      
 dnf -y group install with-optional 'Development Tools'                                                                                                      
 dnf -y group install with-optional 'Fedora Eclipse'                                                                                                         
 dnf -y group install with-optional 'LibreOffice'                                                                                                            
 dnf -y group install with-optional 'RPM Development Tools'                                                                                                  
 dnf -y group install with-optional 'Window Managers'                                                                                                        
                                                                                                                                                             
# Available group:                                                                                                                                           
                                                                                                                                                             
 dnf -y group install with-optional '3D Printing'                                                                                                            
 dnf -y group install with-optional 'Administration Tools'                                                                                                   
 dnf -y group install with-optional 'Audio Production'                                                                                                       
 dnf -y group install with-optional 'Authoring and Publishing'
 dnf -y group install with-optional 'Books and Guides'
 dnf -y group install with-optional 'Cloud Infrastructure'
 dnf -y group install with-optional 'Cloud Management Tools'
 dnf -y group install with-optional 'Container Management'
 dnf -y group install with-optional 'D Development Tools and Libraries'
 dnf -y group install with-optional 'Design Suite'
 dnf -y group install with-optional 'Domain Membership'
 dnf -y group install with-optional 'Editors'
 dnf -y group install with-optional 'Educational Software'
 dnf -y group install with-optional 'Electronic Lab'
 dnf -y group install with-optional 'Engineering and Scientific'
 dnf -y group install with-optional 'FreeIPA Server'
 dnf -y group install with-optional 'Games and Entertainment'
 dnf -y group install with-optional 'Headless Management'
 dnf -y group install with-optional 'MATE Applications'
 dnf -y group install with-optional 'MATE Compiz'
 dnf -y group install with-optional 'Medical Applications'
 dnf -y group install with-optional 'Milkymist'
 dnf -y group install with-optional 'Network Servers'
 dnf -y group install with-optional 'Office/Productivity'
 dnf -y group install with-optional 'Robotics'
 dnf -y group install with-optional 'Security Lab'
 dnf -y group install with-optional 'Sound and Video'
 dnf -y group install with-optional 'System Tools'
 dnf -y group install with-optional 'Text-based Internet'

 exit 0


Here's the output:

dnf -y group install with-optional 'Text-based Internet'
Last metadata expiration check performed 4:02:15 ago on Tue Jan  5 20:30:25 2016.
Dependencies resolved.
=============================================================================================================================================================
 Group                                                 Packages                                                                                            
=============================================================================================================================================================
Marking installed:
 Text-based Internet                                   youtube-dl                                  iperf                                        yafc       
                                                       offlineimap                                 rss2email                                    tftp       
                                                       websec                                      isync                                        cone       
                                                       argus                                       fetchmail                                    sitecopy   
                                                       mutt                                        epic                                         emacs-mew  
                                                       cadaver                                     slrn                                         ctorrent   
                                                       abook                                       irssi                                        archivemail
                                                       alpine                                      aria2                                        deletemail 
                                                       fpaste                                      xprobe2                                      maildirproc
                                                       lynx                                        libtranslate                                 snownews   
                                                       nmh                                         centerim                                     tin        
                                                       whatmask                                    ncftp                                        getmail    
                                                       trickle                                     rtorrent                                     elinks     
                                                       axel                                        w3m                                                     
=============================================================================================================================================================
 Package                                  Arch                        Version                                             Repository                    Size
=============================================================================================================================================================
Installing:
 abook                                    x86_64                      0.6.1-1.fc24                                        rawhide                      102 k
 alpine                                   x86_64                      2.20-2.fc24                                         rawhide                      2.5 M
 archivemail                              noarch                      0.9.0-7.fc23                                        rawhide                       70 k
 argus                                    x86_64                      3.0.8-4.fc24                                        rawhide                      217 k
 aria2                                    x86_64                      1.19.0-2.fc23                                       rawhide                      1.3 M
 axel                                     x86_64                      2.5-1.fc24                                          rawhide                       60 k
 cadaver                                  x86_64                      0.23.3-10.fc23                                      rawhide                      101 k
 centerim                                 x86_64                      1:4.22.10-19.fc23                                   rawhide                      1.6 M
 cone                                     x86_64                      0.91.1-3.fc23                                       rawhide                      2.0 M
 courier-unicode                          x86_64                      1.1-5.fc23                                          rawhide                       57 k
 ctorrent                                 x86_64                      1.3.4-23.dnh3.3.2.fc23                              rawhide                      143 k
 deletemail                               x86_64                      0.5-14.fc23                                         rawhide                       48 k
 emacs-mew                                x86_64                      6.7-1.fc24                                          rawhide                      962 k
 epic                                     x86_64                      4:2.10.5-4.fc23                                     rawhide                      910 k
 fetchmail                                x86_64                      6.3.26-8.fc24                                       rawhide                      573 k
 getmail                                  noarch                      4.48.0-2.fc23                                       rawhide                      187 k
 hyperestraier                            x86_64                      1.4.13-23.fc23                                      rawhide                      588 k
 iperf                                    x86_64                      2.0.8-2.fc23                                        rawhide                      326 k
 irssi                                    x86_64                      0.8.17-4.fc23                                       rawhide                      713 k
 isync                                    x86_64                      1.2.1-1.fc24                                        rawhide                      166 k
 libbsd                                   x86_64                      0.7.0-3.fc23                                        rawhide                       73 k
 libtorrent                               x86_64                      0.13.6-1.fc24                                       rawhide                      440 k
 libtranslate                             x86_64                      0.99-32.fc24                                        rawhide                       77 k
 lynx                                     x86_64                      2.8.9-0.9.dev6.fc24                                 rawhide                      1.5 M
 maildirproc                              noarch                      0.4.3-9.fc23                                        rawhide                       31 k
 mutt                                     x86_64                      5:1.5.24-1.fc24                                     rawhide                      1.3 M
 ncftp                                    x86_64                      2:3.2.5-10.fc23                                     rawhide                      357 k
 nmh                                      x86_64                      1.6-3.fc23                                          rawhide                      1.4 M
 offlineimap                              noarch                      6.5.6-3.fc23                                        rawhide                      302 k
 perl-NKF                                 x86_64                      1:2.1.4-1.fc24                                      rawhide                      135 k
 perl-Time-ParseDate                      noarch                      2015.103-1.fc24                                     rawhide                       40 k
 python-feedparser                        noarch                      5.2.0-2.fc24                                        rawhide                      108 k
 python-html2text                         noarch                      2015.6.6-4.fc24                                     rawhide                       49 k
 qdbm                                     x86_64                      1.8.78-20.fc23                                      rawhide                      275 k
 rss2email                                noarch                      2.71-8.fc23                                         rawhide                       29 k
 rtorrent                                 x86_64                      0.9.6-2.fc24                                        rawhide                      550 k
 rubygem-sqlite3                          x86_64                      1.3.10-2.fc23                                       rawhide                      101 k
 slrn                                     x86_64                      1.0.2-3.fc23                                        rawhide                      562 k
 snownews                                 x86_64                      1.5.12-13.fc23                                      rawhide                      152 k
 tftp                                     x86_64                      5.2-16.fc23                                         rawhide                       40 k
 tin                                      x86_64                      2.2.1-4.fc23                                        rawhide                      907 k
 trickle                                  x86_64                      1.07-20.fc23                                        rawhide                       52 k
 urlview                                  x86_64                      0.9-18.20131022git08767a.fc23                       rawhide                       32 k
 w3m                                      x86_64                      0.5.3-22.fc23                                       rawhide                      935 k
 websec                                   noarch                      1.9.0-19.fc24                                       rawhide                       54 k
 whatmask                                 x86_64                      1.2-15.fc23                                         rawhide                       27 k
 yafc                                     x86_64                      1.3.5-2.fc23                                        rawhide                      173 k
 youtube-dl                               noarch                      2015.12.23-1.fc24                                   rawhide                      1.6 M

Transaction Summary
=============================================================================================================================================================
Install  48 Packages

Total size: 24 M
Total download size: 21 M
Installed size: 80 M
Downloading Packages:
Malformed lock file found: /var/cache/dnf/download_lock.pid.
Ensure no other dnf process is running and remove the lock file manually or run systemd-tmpfiles --remove dnf.conf.

 exit 0
+ exit 0
fc24-rawhide-bash 4.3 ~# l /var/cache/dnf/download_lock.pid
-rw-r--r--. 1 root root 0 Jan  5 20:30 /var/cache/dnf/download_lock.pid
Comment 1 Honza Silhan 2016-01-11 07:53:37 EST
(In reply to George R. Goffe from comment #0)
> After removing lockfile_pid, run dnf several times. First one succeeds,
> second and subsequent fail with "malformed" message.

Can you elaborate more about removing lockfile_pid, please? Have you touched DNF internal locks `/var/cache/dnf/*_lock.pid`?
Comment 2 George R. Goffe 2016-01-11 16:51:54 EST
Jan,

All I did was look at the lockfile_pid at the location complained about by "dnf". I did not touch anything else, either to remove or otherwise.

George...
Comment 3 Honza Silhan 2016-01-19 09:00:54 EST
we'll take a look.
Comment 4 Jan Kurik 2016-02-24 10:29:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:31:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 George R. Goffe 2016-07-22 12:31:12 EDT
Igor,

I have not seen this bug since I reported it so I suspect that it would be ok to close it. If I encounter it again, I'll make a new bug or re-open this one.

Thanks to everyone who helped with this,

George...

Note You need to log in before you can comment on or make changes to this bug.